PDA

View Full Version : SLES 12 - Drush & composer



cisaksen
04-Aug-2015, 19:54
I'm trying to install drush 7.x onto sles 12 and having a time of it.

Using the drush instructions I need to install composer first: curl -sS https://getcomposer.org/installer | php

This throws a error: The phar extension is missing - now I'm using the php (5.5.14.x) that came with sles 12 and according to PHP.net phar is included in php 5.3 and above. php.ini has a [phar] section with only 3 options. No of which seem to restrict it from being seen.

As I'm also using fpm the php.ini is in /etc/php/fpm and I tried the above command with the -c /etc/php/fpm/php.ini with the same results.

Any ideas ?

malcolmlewis
04-Aug-2015, 20:21
Hi
Looking at the OBS version spec file here;
https://build.opensuse.org/package/view_file/server:php:applications/drush/drush.spec?expand=1

Looks like it's just a few files, softlinks and bash completion....

Why not ping the maintainer (see the changes file) and ask them to update?
https://build.opensuse.org/package/show?project=server%3Aphp%3Aapplications&package=drush

cisaksen
04-Aug-2015, 20:23
Do you know if php was compiled/packaged with phar support in sles 12 ?

malcolmlewis
04-Aug-2015, 21:04
Hi
Looking at the spec file on OBS for php5 it does appear to be enabled, however there is a separate package php5-phar which doesn't appear to be included in the web hosting extension. Let me check with my SUSE contacts, but may need you to raise an SR, is that possible for you to do if needed?

cisaksen
05-Aug-2015, 16:36
I tried http://software.opensuse.org/download.html?project=server:php:applications&package=drush

Unfortunately the yum file has repos that don't exist and the package fails checksums. So this was a no go.

malcolmlewis
05-Aug-2015, 16:44
I tried http://software.opensuse.org/download.html?project=server:php:applications&package=drush

Unfortunately the yum file has repos that don't exist and the package fails checksums. So this was a no go.
Hi
You mean ymp file?

You can manually add the repo and do a refresh;


zypper ar -f http://download.opensuse.org/repositories/server:/php:/applications/SLE_12/ "server:php-SLE12"
zypper ref
zypper in drush


Still waiting to hear back on the missing phar package.

cisaksen
05-Aug-2015, 16:57
Yes I can add the repo manually but I still get the check sum error - basically saying that the package isn't valid.


I was able to install drush 6.2 using pear

pear channel-discover pear.drush.org
pear install drush/drush

But I was hoping to install 7.x

cisaksen
05-Aug-2015, 20:41
Found the problem with my invalid signature, I was trying to use suse mgr 2.1 with a custom repo - something is wrong with it . If I added the repo directly on the server it worked fine, though it still drush 6.6

malcolmlewis
05-Aug-2015, 21:37
On Wed 05 Aug 2015 07:44:02 PM CDT, cisaksen wrote:


Found the problem with my invalid signature, I was trying to use suse
mgr 2.1 with a custom repo - something is wrong with it . If I added
the repo directly on the server it worked fine, though it still drush
6.6




Hi
Adding the key from the repo should help...

Yes, in my earlier link, ping the maintainer to update?

--
Cheers Malcolm °¿° LFCS, SUSE Knowledge Partner (Linux Counter #276890)
SUSE Linux Enterprise Desktop 12 GNOME 3.10.1 Kernel
3.12.44-52.10-default If you find this post helpful and are logged into
the web interface, please show your appreciation and click on the star
below... Thanks!